package storage

import (
	"log"

	"github.com/teris-io/shortid"
)

const (
	Seed = 8562913
)

var SID *shortid.Shortid

func GetSIDGenerator() *shortid.Shortid {
	return SID
}

func init() {
	var err error
	SID, err = shortid.New(1, shortid.DefaultABC, Seed)
	if err != nil {
		log.Fatal(err)
	}

}
